QGIS Application - Bug report #1217
some GRASS commands block the GRASS shell

2008-08-13 06:39 AM - Maciej Sieczka -

Status: Closed
Priority: Low
Assignee: Lorenzo Masini
Category: GRASS

Affected QGIS version:

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupts data:

Regression?: No
Easy fix?: No
Resolution: fixed

Copied to github as #: 11277

Description

1. Open some GRASS mapset.

3. Run GRASS Tools.

3. Run GRASS shell

4. Some commands block the shell so that you can't enter new commands. Example 2 blockers:

v.random out=map n=1
g.copy rast=somemap,somemap2

There are more such commands.

History

#1 - 2009-04-28 12:31 AM - Paolo Cavallini

Fixed in commit:73e86da0 (SVN r10666) on *nix, OSX and minGW. Still to be solved for MSVC.

#2 - 2009-06-26 10:58 PM - Paolo Cavallini
- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2009-08-12 12:43 AM - Paolo Cavallini
- Status changed from Closed to Feedback
- Resolution deleted (fixed)

#4 - 2009-08-12 12:43 AM - Paolo Cavallini
- Status changed from Feedback to Open

#5 - 2009-08-12 12:44 AM - Paolo Cavallini

- Resolution set to fixed
- Status changed from Open to Closed
